mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For more information, see the existing documentation for STATSTG in the MSDN library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Contains statistical information about an open storage, stream, or byte-array object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FILETIME

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Specifies the last access time for this storage, stream, or byte array.

- Field
  2.0.0.0
  4.0.0.0
  System.Int64

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Specifies the size, in bytes, of the stream or byte array.

- Field
  2.0.0.0
  4.0.0.0
  System.Guid

  This field is initialized to CLSID_NULL for new storage objects.

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the class identifier for the storage object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FILETIME

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the creation time for this storage, stream, or byte array.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the types of region locking supported by the stream or byte array.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the access mode that was specified when the object was opened.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the current state bits of the storage object (the value most recently set by the IStorage::SetStateBits method).

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FILETIME

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the last modification time for this storage, stream, or byte array.

- Field
  2.0.0.0
  4.0.0.0
  System.String

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Represents a pointer to a null-terminated string containing the name of the object described by this structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for STATSTG in the MSDN library.

  Indicates the type of storage object, which is one of the values from the STGTY enumeration.